<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2000 - INRIA - Carlos Klimann
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="moment">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>moment</refname>
    <refpurpose>  non central moments of all orders</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>mom=moment(x,ord)
mom=moment(x,ord,'r') or mom=moment(x,ord,1)
mom=moment(x,ord,'c') or mom=moment(x,ord,2)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>x</term>
        <listitem>
          <para>real or complex vector or matrix</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>ord</term>
        <listitem>
          <para>positive integer</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
    moment<literal>(x,ord)</literal> is the non central moment or order ord
    of the elements of <literal>x</literal>.</para>
    <para>
    If a third  argument of  type string  <literal>'r'</literal>  (or <literal> 1</literal>) or <literal>'c'</literal> (or <literal>  2</literal>) is used,   we get in  the
    first  case,  a  row  vector   <literal>   mom</literal>   such  that
    <literal>mom(j)</literal> contains  the  non  central  moment of  order
    <literal>ord</literal> of     the    <literal>j</literal>     column    of  <literal>x</literal>.
    <literal>moment(x,ord,'c')</literal> is used in   the same way  for the
    non central moments in the rows.</para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
x=[0.2113249 0.0002211 0.6653811;0.7560439 0.3303271 0.6283918]
mom=moment(x,3)
mom=moment(x,2,'r')
mom=moment(x,3,'c')
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>Authors</title>
    <para> Carlos Klimann</para>
  </refsection>
  <refsection>
    <title>Bibliography</title>
    <para>
    Wonacott, T.H. &amp; Wonacott, R.J.; Introductory Statistics, fifth edition, J.Wiley &amp; Sons, 1990.</para>
  </refsection>
</refentry>
